<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate">
	<meta http-equiv="Pragma" content="no-cache">
	<meta http-equiv="Expires" content="0">
	<title>Weilianqi</title>
	<link rel="stylesheet" href="/style.css">
</head>

<body>
<header>
<nav>
	<ul>
		<li><a href="/">Home</a></li>
		<li><a href="/play.html">Play</a></li>
		<li><a href="/articles.html">Articles</a></li>
	</ul>
</nav>
</header>
<main>
<h1>Articles</h1>

<p><a href="articles/rps-frontend.html">A frontend for the rps chain.</a> How to use cosmjs to sign custom transactions with Keplr.</p>

<p><a href="articles/rps-migration.html">Implementing a migration for the rps chain.</a> How to add a map that depends on existing data.</p>

<p><a href="articles/rps-chain.html">A rock paper scissors blockchain.</a> How to scaffold a basic blockchain game with starport.</p>

<p><a href="articles/gamm-info.html">Information on GAMM tokens in Osmosis.</a> How to use a CLI to deduce the buckets in which the tokens are bonded.</p>

<br><br><br><br><br><br><br>
</main>
<footer>
<nav>
	<ul>
		<li><a href="/">Home</a></li>
		<li><a href="/play.html">Play</a></li>
		<li><a href="/articles.html">Articles</a></li>
	</ul>
</nav>
</footer>
</body>

</html>
